import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

with open("LICENSE", "r") as fh:
    license = fh.read()


setuptools.setup(
    name="mrdna",
    version="0.1.dev0",
    author="Christopher Maffeo",
    author_email="cmaffeo2@illinois.edu",
    description="Multi-resolution DNA simulations",
    license=license,
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://gitlab.engr.illinois.edu/tbgl/tools/mrdna",
    packages=setuptools.find_packages(),
    include_package_data=True,
    scripts=['bin/mrdna','bin/enrgmd'],
    install_requires=(
        'numpy>=1.14',
        'scipy>=1.1',
        'mdanalysis>=0.18',
        'cadnano>=2.5.2.1',
        'appdirs>=1.4'
    ),
    classifiers=(
        "Programming Language :: Python :: 3",
        "License :: UIUC Open source License",
        "Operating System :: OS Independent",
    ),
)
